#include<iostream>
using namespace std;
int main(){
	int n,k;
	cin>>n>>k;
	int a,p,r,b;
	for(int i=0;i<n;i++){
		cin>>a;
		if(i==0) b=a;
		if(a==k){
		   p=i;	
		}
		if(i==(p+1)) r=a;
	}
	if(p==(n-1))r=b;
	cout<<r;
	return 0;
}